# WordPress Leads #

Track visitor activity, capture and manage incoming leads, and send collected emails to your email service provider.

## Description ##

>WordPress Leads works as a standalone plugin or hand in hand with [WordPress Landing Pages](http://wordpress.org/plugins/landing-pages/ "Learn more about WordPress Landing Pages") & [WordPress Calls to Action](http://wordpress.org/plugins/cta/ "Learn more about Calls to Action") to create a powerful & free lead generation system for your business.

Wordpress leads gives you powerful visitor tracking where Google Analytics leaves off ( aka tie website activity directly to a specific individual) It allows you to track every activity that a visitor takes on your site, before converting on a web form.

### Gather Valuable Intelligence on your Leads: ###

* Learn where your leads are coming from geographically
* What pages they viewed on your site
* See past comments they have made on your blog
* Know what they have searched for on your site
* Learn where referral traffic is coming from
* See social media profiles and sites they own
* Gather demographic data
* See past/current job histories
* Learn their topical interests
* and much more.

This powerful lead data can help you sell smarter and more efficiently.

Wordpress Leads was originally built as an add-on for [WordPress Landing Pages](http://wordpress.org/plugins/landing-pages/ "Learn more about WordPress Landing Pages") but quickly grew into its own stand alone plugin to capture lead information on any page of your site.

Manage your leads directly from the admin interface, or send the lead data into a third party CRM of your choosing.

This plugin is built to be fully extendable by providing custom action and filter hooks, allowing for an almost endless number of powerful CRM application addons.

[Start Collecting Advanced Lead Intelligence in WordPress ](http://www.inboundnow.com/collecting-advanced-lead-intelligence-wordpress-free/ "Start Collecting Advanced Lead Intelligence in WordPress")


Wordpress Leads is Wordpress's first fully extendable CRM plugin.

### Highlights ###

* Built in visual form builder that is dead simple to use.
* Automatically detect and collect visitor data from any submitted form.
* Track and see what pages your leads visited before converting on your site to gain valuable lead intelligence
* Integrates seamlessly with WordPress Landing Pages and WordPress Calls to Action Plugins
* Easily search, view, and modify lead (contact) information with bulk lead management tool
* Uses geolocation services to detect additional information on first time conversion.
* Sync your leads with a third party CRM like salesforce.com, Zoho or sugarCRM.
* [Connect with Zapier to send leads to over 300+ different CRM and Email marketing tools ](http://www.inboundnow.com/zapier/  "Connect with Zapier to send leads to over 300+ different CRM and Email marketing tools")
* Developers: Extend Leads with custom functionality via built in api
* Integrate with 39+ Email service providers for Email Autoresponder Campaigns
* Integrate with 36+ CRM providers for easy lead management

### About the Plugin ###

This is a free plugin that was built to help people collect, store, and manage lead/contact information to better understand each lead that comes into their site. It's built with inbound marketing best practices in mind and integrates seamlessly with the free WordPress Landing Pages plugin.

### Developers & Designers ###

We built Lead Management as a framework! You can use our extendable framework to bring custom solutions to your application.

[Follow Development on GitHub ](https://github.com/inboundnow/leads "Follow & Contribute to core development on GitHub")
 |
[Follow Development on Twitter ](https://twitter.com/gitleads "See our latest development commits on Twitter")

## Installation ##

1. Upload `leads` folder to the `/wp-content/plugins/` directory
1. Activate the plugin through the 'Plugins' menu in WordPress

